CREATE TABLE MV_CAPABILITIES_TABLE
 (STATEMENT_ID     VARCHAR(30),  -- Dostarczany przez klienta unikatowy identyfikator 
                                -- instrukcji
 MVOWNER          VARCHAR(30),  -- NULL dla procedury EXPLAIN_MVIEW bazujcej na 
                                -- instrukcji SELECT 
 MVNAME           VARCHAR(30),  -- NULL dla procedury EXPLAIN_MVIEW bazujcej na
                                -- instrukcji SELECT
 CAPABILITY_NAME  VARCHAR(30),  -- Opisowa nazwa okrelonej
                                -- funkcjonalnoci:
                                -- REWRITE
                                --   Umoliwia przepisywanie z cakowitym 
                                --   dopasowywaniem tekstu
                                -- REWRITE_PARTIAL_TEXT_MATCH
                                --   Umoliwia przepisywanie z cakowitym i
                                --   czciowym dopasowywaniem tekstu
                                -- REWRITE_GENERAL
                                --   Pozwala na przepisywanie w kadej odmianie
                                -- REFRESH
                                --   Umoliwia kompletne odwieanie
                                -- REFRESH_FROM_LOG_AFTER_INSERT
                                --   Umoliwia szybkie odwieenie przy uyciu dziennika 
                                --   widoku zmaterializowanego lub
                                --   przynajmniej modyfikacj tabeli gromadzcej,
                                --   gdy aktualizacje s ograniczone do
                                --   operacji wykorzystujcej instrukcj INSERT
                                -- REFRESH_FROM_LOG_AFTER_ANY
                                --   Umoliwia szybkie odwieenie przy uyciu dziennika
                                --   widoku zmaterializowanego lub
                                --   modyfikacj tabeli gromadzcej po wystpieniu
                                --   dowolnej kombinacji aktualizacji
                                -- PCT
                                --   Pozwala na rozszerzone ledzenie aktualizacji dla
                                --   tabeli o nazwie podanej w kolumnie RELATED_NAME.
                                --   Tego typu ledzenie jest niezbdne do szybkiego
                                --   odwieania po wykonaniu operacji administracyjnych
                                --   dla tabeli o nazwie zawartej
                               --    w kolumnie RELATED_NAME, a take do
                               --    przepisywania niedopuszczajcego dezaktualizacji
                               --    danych, gdy widok zmaterializowany czciowo
                               --    zdezaktualizuje si w stosunku do tabeli                                   
                               --    wymienionej w kolumnie RELATED_NAME.
                               --    ledzenie to czasami umoliwi te szybkie
                               --    odwieanie aktualizacji tabeli o nazwie
                               --    podanej w kolumnie RELATED_NAME, gdy
                               --    nie jest moliwe szybkie odwieenie przy uyciu 
                               --    dziennika widoku zmaterializowanego lub
                               --    modyfikacja tabeli gromadzcej.
POSSIBLE         CHARACTER(1), --  T = moliwo jest dostpna
                               --  F = moliwo nie jest dostpna
RELATED_TEXT     VARCHAR(2000),--  Waciciel.tabela.kolumna, nazwa aliasu i inne 
                               --  podobne dane zwizane z komunikatem.
                               --  Konkretne znaczenie tej kolumny zaley od
                               --  kolumny MSGNO. W celu uzyskania dodatkowych 
                               --  szczegw naley zajrze do dokumentacji
                                --  procedury DBMS_MVIEW.EXPLAIN_MVIEW()
RELATED_NUM      NUMBER,       --  Gdy istnieje numeryczna warto powizana
                               --  z wierszem, trafia do tej kolumny.
                               --  Konkretne znaczenie tej kolumny zaley od
                               --  kolumny MSGNO. W celu uzyskania dodatkowych
                               --  szczegw naley zajrze do dokumentacji
                               --  procedury DBMS_MVIEW.EXPLAIN_MVIEW()
MSGNO            INTEGER,      --  Komunikat QSM objaniajcy powd braku  moliwoci
                               --  czego lub podajcy wicej szczegw, gdy jest to 
                               --  moliwe.
MSGTXT           VARCHAR(2000),--  Tekst powizany z MSGNO.
SEQ              NUMBER);      --  Przydatna w klauzuli ORDER BY w przypadku                                
                               --  pobierania danych z tej tabeli.